#!/bin/bash
# This is the job script to run a GROMACS example job 
# Remember to change the following to your own Project ID! 
#SBATCH -A SNIC2019-5-172 
#SBATCH -J Gromacs-2017
#SBATCH -t 01:00:00
#SBATCH --ntasks-per-node=4
#SBATCH -n 12
#SBATCH -c 7
#SBATCH -p batch

# It is always best to do a ml purge before loading other modules
ml purge

GCC/6.2.0-2.27
ml OpenMPI/2.0.1
ml GROMACS/2016-hybrid

if [ -n "$SLURM_CPUS_PER_TASK" ]; then
    mdargs="-ntomp $SLURM_CPUS_PER_TASK"
else
    mdargs="-ntomp 1"
fi

export MDRUN='gmx_mpi mdrun'
mpirun -np $SLURM_NTASKS gmx_mpi mdrun $mdargs -dlb yes  -v -deffnm npt

